[ooo-build-commit] .: 2 commits - bin/unpack
René Engelhard
rene at kemper.freedesktop.org
Wed Apr 14 17:30:48 PDT 2010
bin/unpack | 12 +++++++-----
1 file changed, 7 insertions(+), 5 deletions(-)
New commits:
commit 8a416b87950a7ccd53f6ef172d0570fae4a75285
Author: Rene Engelhard <rene at debian.org>
Date: Thu Apr 15 02:28:00 2010 +0200
fix grep in bin/unpack (system-mysqlcppconn -> system-mysql-cppconn)
* bin/unpack:
diff --git a/bin/unpack b/bin/unpack
index 4480b43..4f70117 100755
--- a/bin/unpack
+++ b/bin/unpack
@@ -969,7 +969,7 @@ if test "x$OXYGEN_IMAGES_TAR" != "x"; then
fi
if echo $PROPAGATED_ARGS | grep -q enable-mysql-connector; then
- if ! echo $PROPAGATED_ARGS | grep -q system-mysqlcppconn; then
+ if ! echo $PROPAGATED_ARGS | grep -q system-mysql-cppconn; then
if [ ! -f $OOBUILDDIR/mysqlcppconn/download/mysql-connector-cpp.zip ]; then
check_tarball $SRCDIR/mysql-connector-cpp.zip
echo "Copying mysql-connector-cpp.zip into the tree"
commit 0ce337adf7fe5d271a1cbb4ec53c08d1f50e91cc
Author: Rene Engelhard <rene at debian.org>
Date: Thu Apr 15 02:12:44 2010 +0200
fix unpack (don't try to copy mysql-connector-cpp.zip) on m14
* bin/unpack:
diff --git a/bin/unpack b/bin/unpack
index 72fa5bf..4480b43 100755
--- a/bin/unpack
+++ b/bin/unpack
@@ -970,10 +970,12 @@ fi
if echo $PROPAGATED_ARGS | grep -q enable-mysql-connector; then
if ! echo $PROPAGATED_ARGS | grep -q system-mysqlcppconn; then
- check_tarball $SRCDIR/mysql-connector-cpp.zip
- echo "Copying mysql-connector-cpp.zip into the tree"
- mkdir -p $OOBUILDDIR/mysqlcppconn/download
- $GNUCP -a $SRCDIR/mysql-connector-cpp.zip -d $OOBUILDDIR/mysqlcppconn/download || exit 1
+ if [ ! -f $OOBUILDDIR/mysqlcppconn/download/mysql-connector-cpp.zip ]; then
+ check_tarball $SRCDIR/mysql-connector-cpp.zip
+ echo "Copying mysql-connector-cpp.zip into the tree"
+ mkdir -p $OOBUILDDIR/mysqlcppconn/download
+ $GNUCP -a $SRCDIR/mysql-connector-cpp.zip -d $OOBUILDDIR/mysqlcppconn/download || exit 1
+ fi
fi
fi
More information about the ooo-build-commit
mailing list